<?php

namespace App\Models;

use App\Traits\Blameable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class KategoriProduk extends Model
{
    use HasFactory, Blameable, SoftDeletes;

    protected $table = 'kategori_produks';

    protected $fillable = [
        'nama_kategori_produk',
        'kode_kategori_produk',
    ];

    public function produk()
    {
        return $this->hasMany(Produk::class, 'kategori_produk_id');
    }

    // kelompok kategori
    public function kelompokKategori()
    {
        return $this->hasMany(KelompokKategori::class, 'kategori_produk_id');
    }
}
